Summary: VRwave - a VRML 2.0 browser
Name: vrwave
%define version 20
Version: %{version}
Release: 1a
Copyright: IICM, Graz University of Technology, Austria
Group: X11/Applications/Graphics
Source0: ftp://ftp.iicm.edu/pub/VRwave/vrwave-%{version}/vrwave%{version}-src.tgz
Source1: localhost:/vrwave.sh
Patch0: localhost:/vrwave%{version}-ppc.patch
URL: http://www.iicm.edu/vrwave
BuildRoot: /var/tmp/root-vrwave
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Prefix: /opt

%description
VRwave is a VRML 2.0 browser being developed at the IICM (Institute
for Information Processing and Computer Supported New Media), Graz
University of Technology, Austria, by the team who brought you the
VRweb VRML 1.0 browser.
VRwave is written largely in Java and requires JDK-1.1.x to run.

%prep
%setup -n %{name}%{version}-src
%patch0 -p1

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/vrwave/{bin,lib}

%build
cd VRwave
(
cd javasrc/iicm/vrml/vrwave
mv Scene.java Scene.java.ORIG
mv Scene_jdk1_1.jav Scene.java
)
sh makeit
cd native
export CPU=LINUX_ELF
mkdir $CPU
cp makefile.CPU $CPU/makefile

for i in ge3d_ogl.c jutils.h vrwpick.c ge3d/color.h ge3d/mtl.h ge3d/vectors.h; do
	mv $i $i.ORIG
	awk -- 'BEGIN { RS = "\r"; ORS = "" } {print}' $i.ORIG > $i
done

(
cd $CPU
make alljni
)
cd ../..

%install
cd VRwave
install -m 755 $RPM_SOURCE_DIR/vrwave.sh $RPM_BUILD_ROOT%{prefix}/vrwave/bin/vrwave
install -m 755 native/LINUX_ELF/libgejcon-ogl.so $RPM_BUILD_ROOT%{prefix}/vrwave/lib
ln -s libgejcon-ogl.so $RPM_BUILD_ROOT%{prefix}/vrwave/lib/libgejc.so

cp -ar classes $RPM_BUILD_ROOT%{prefix}/vrwave/
cp -ar sclass  $RPM_BUILD_ROOT%{prefix}/vrwave/
cp -ar fonts   $RPM_BUILD_ROOT%{prefix}/vrwave/
cp -ar images  $RPM_BUILD_ROOT%{prefix}/vrwave/
cp -ar test    $RPM_BUILD_ROOT%{prefix}/vrwave
cp -ar jdoc    $RPM_BUILD_ROOT%{prefix}/vrwave/jdoc

cp -ar building* copyright* licence* nodes* readme* jdoc ../

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc building* copyright* licence* nodes* readme* jdoc
%dir %{prefix}/vrwave
%{prefix}/vrwave/*

%changelog
* Mon Sep 4 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- version 2.0

* Mon Mar 6 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- rebuilt with Mesa-3.2

* Sun Aug 29 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1-st release with version 0.9

